Skip to content

Get plan profile

Request

Retrieves detailed information on the given plan profile.

Security
clientCredentials
Path
idstring^[a-zA-Z0-9.~\-_]{1,200}$required

The unique identifier of an entity

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/plannings/planning-api/plan-profiles/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Headers
ETagstring

A weak Etag (ex W/"<etag_value>") which contains the current version of the entity

Example:"W/\"25\""
Bodyapplication/json
idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$read-only

The unique identifier for the plan profile.

Example:"cb1fb12c-0abc-413c-a69d-63c62566685f"
namestring, [ 1 .. 200 ] charactersrequired

The name of the plan profile

Example:"Default Profile"
depot_set_idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$

The unique identifier of the depot set to use for this profile

Example:"belgian-depots"
charging_location_set_idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$

Early Access
The unique identifier of the charging location set to use for this profile

Example:"flanders-charging-locations"
break_rule_set_idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$

The unique identifier of the break rule set to use for this profile

Example:"eu-break-rules"
location_rule_set_idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$

The unique identifier of the location rule set to use for this profile

Example:"link-time-rules"
vehicle_stop_rule_set_idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$

The unique identifier of the vehicle stop rule set to use for this profile

Example:"urban-delivery-stop-limits"
order_depot_restriction_set_idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$

The unique identifier of the order-depot restriction set to use for this profile

Example:"operational-restrictions"
Response
{ "id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "name": "Default Profile", "depot_set_id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "charging_location_set_id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "break_rule_set_id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "location_rule_set_id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "vehicle_stop_rule_set_id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "order_depot_restriction_set_id": "cb1fb12c-0abc-413c-a69d-63c62566685f" }